# Package Publishing Steps

1. install twine and build
```bash
pip install twine build
```

2. Put your PyPI API token in your .pypirc file (see .pypirc-example)

3. Update version in pyproject.toml:
```toml
# Increment version number (e.g., 0.2.0 → 0.2.1)
version = "0.2.1"
```

4. Clean, build, and upload:
```bash
# Clean previous builds
rm -rf dist/

# Build distribution
python3 -m build

# Upload to PyPI
twine upload dist/*
```

These commands will:
- Clear any previous build files from the dist/ directory
- Build the project locally with updated version
- Publish to PyPI using your configured API token/credentials

Note: You can optionally test on TestPyPI first to verify your package:
```bash
twine upload --repository testpypi dist/*
```

5. Installing the package:
```bash
# Sometimes need to uninstall first to get new version
pip uninstall kradle
pip install kradle

# Verify installed version
pip freeze | grep kradle
```